Skip to content

insertSalesRFQ

WRITE

Insert sales r f q.

POST /api/v1/sales/insertSalesRFQ
curl -X POST '<your-host>/api/v1/sales/insertSalesRFQ' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "customerId": "string"
  }'
Response
{
  "id": "string",
  "rfqId": "string"
}

Parameters

ParameterType
"Draft""Ready for Quote""Quoted""Closed"

Input schema

schema
{
  "type": "object",
  "properties": {
    "customerId": {
      "type": "string"
    },
    "rfqId": {
      "type": "string"
    },
    "rfqDate": {
      "type": "string"
    },
    "expirationDate": {
      "type": "string"
    },
    "locationId": {
      "type": "string"
    },
    "salesPersonId": {
      "type": "string"
    },
    "customerContactId": {
      "type": "string"
    },
    "customerEngineeringContactId": {
      "type": "string"
    },
    "customerLocationId": {
      "type": "string"
    },
    "customerReference": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "Draft",
        "Ready for Quote",
        "Quoted",
        "Closed"
      ]
    },
    "notes": {
      "type": "string"
    },
    "customFields": {}
  },
  "required": [
    "customerId"
  ]
}